APIVoid logo

URL Reputation API Reference

Check the safety reputation and risk score of a URL using unique URL security checks, with detailed detection and website analysis data.

Service details and pricing: URL Reputation API

POSThttps://api.apivoid.com/v2/url-reputation
5 credits per successful requestCan take up to 60 secondsPOST · JSON

Request example

Query the endpoint via an HTTPS POST request (replace YOUR_API_KEY_HERE with your API key):

curl
curl -X POST "https://api.apivoid.com/v2/url-reputation" \
     -H "Content-Type: application/json" \
     -H "X-API-Key: YOUR_API_KEY_HERE" \
     -d '{"url": "https://blog.google/products/android/"}'

The same request in PHP:

php
$url = 'https://blog.google/products/android/';

$apiKey = 'YOUR_API_KEY_HERE';

$curl = curl_init('https://api.apivoid.com/v2/url-reputation');
curl_setopt($curl, CURLOPT_HTTPHEADER, ['Content-Type: application/json', 'X-API-Key: ' . $apiKey]);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode(['url' => $url]));
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($curl);
$httpCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
curl_close($curl);

if ($httpCode === 200) {
    $responseData = json_decode($response, true);
    print_r($responseData);
} else {
    print_r('An error occurred: '.$response);
}

Request parameters

Required

urlstringRequired

URL to submit, e.g. https://www.example.com/index.html.

Response example

A successful request returns HTTP 200 with a JSON body:

json · 200
{
    "url": "https://blog.google/products/android/",
    "dns_records": {
        "ns": [
            {
                "target": "ns2.zdns.google",
                "ip": "216.239.34.114",
                "country_code": "US",
                "country_name": "United States of America",
                "isp": "Google LLC"
            },
            {
                "target": "ns1.zdns.google",
                "ip": "216.239.32.114",
                "country_code": "US",
                "country_name": "United States of America",
                "isp": "Google LLC"
            },
            {
                "target": "ns4.zdns.google",
                "ip": "216.239.38.114",
                "country_code": "US",
                "country_name": "United States of America",
                "isp": "Google LLC"
            },
            {
                "target": "ns3.zdns.google",
                "ip": "216.239.36.114",
                "country_code": "US",
                "country_name": "United States of America",
                "isp": "Google LLC"
            }
        ],
        "mx": [
            {
                "target": "smtp.google.com",
                "ip": "142.251.107.26",
                "country_code": "US",
                "country_name": "United States of America",
                "isp": "Google LLC"
            }
        ],
        "cname": ""
    },
    "domain_blacklist": {
        "engines": {
            "0": {
                "name": "ANJ Blocked Sites",
                "detected": false,
                "reference": "https://anj.fr/",
                "confidence": "high",
                "elapsed_ms": 0
            },
            "1": {
                "name": "AntiSocial Blacklist",
                "detected": false,
                "reference": "https://theantisocialengineer.com/",
                "confidence": "high",
                "elapsed_ms": 0
            },
            "2": {
                "name": "APVA",
                "detected": false,
                "reference": "https://www.antiphish.org/",
                "confidence": "high",
                "elapsed_ms": 0
            },
            "3": {
                "name": "Artists Against 419",
                "detected": false,
                "reference": "https://wiki.aa419.org/index.php/Main_Page",
                "confidence": "high",
                "elapsed_ms": 0
            },
            "4": {
                "name": "AZORult Tracker",
                "detected": false,
                "reference": "https://azorult-tracker.net/",
                "confidence": "high",
                "elapsed_ms": 0
            },
            "5": {
                "name": "Badbitcoin",
                "detected": false,
                "reference": "https://badbitcoin.org/",
                "confidence": "high",
                "elapsed_ms": 0
            },
            "6": {
                "name": "Bambenek Consulting",
                "detected": false,
                "reference": "https://www.bambenekconsulting.com/",
                "confidence": "high",
                "elapsed_ms": 0
            },
            "7": {
                "name": "CERT Polska",
                "detected": false,
                "reference": "https://www.cert.pl/",
                "confidence": "high",
                "elapsed_ms": 0
            },
            "8": {
                "name": "COI CZ",
                "detected": false,
                "reference": "https://coi.gov.cz/",
                "confidence": "high",
                "elapsed_ms": 0
            },
            "9": {
                "name": "CryptoScamDB",
                "detected": false,
                "reference": "https://cryptoscamdb.org/",
                "confidence": "high",
                "elapsed_ms": 0
            },
            "10": {
                "name": "EtherAddressLookup",
                "detected": false,
                "reference": "https://github.com/409H/EtherAddressLookup/",
                "confidence": "high",
                "elapsed_ms": 0
            },
            ...
        },
        "detections": 0,
        "engines_count": 42,
        "detection_rate": "0%",
        "scan_time_ms": 119
    },
    "domain_parts": {
        "root_domain": "blog.google",
        "subdomain": "",
        "tld": "google"
    },
    "file_type": {
        "signature": "HTML",
        "extension": "",
        "headers": "HTML"
    },
    "geo_location": {
        "countries": [
            "US"
        ]
    },
    "html_info": {
        "title": "Official Android news and updates | Google Blog",
        "description": "Read the latest news and updates about Android, the world's most popular mobile platform.",
        "keywords": "",
        "robots": "",
        "canonical": "https://blog.google/products/android/",
        "og_image": "https://storage.googleapis.com/gweb-uniblog-publish-prod/images/3D_DROID_HEAD_200x200.max-1440x810.jpg",
        "article_publisher": "",
        "og_site_name": "blog.google",
        "twitter_site": "@google",
        "generator": "",
        "ld_organization": "",
        "lang": "en-us"
    },
    "redirection": {
        "found": false,
        "external": false,
        "url": "",
        "redirects": []
    },
    "response_headers": {
        "code": 200,
        "status": "HTTP/2 200",
        "content-type": "text/html; charset=utf-8",
        "vary": "Accept-Encoding",
        "content-security-policy": "require-trusted-types-for 'script'; connect-src 'self' cdn.ampproject.org *.google.com storage.googleapis.com https://services.google.com/fb/submissions/thekeywordtest/ https://services.google.com/fb/submissions/0a65d7733e1f11ea9701614fc033d30c/ *.gstatic.com gstatic.com *.cdn.ampproject.org *.doubleclick.net https://readaloud.googleapis.com/ *.google-analytics.com https://www.youtube.com/; img-src * data: blob:; font-src 'self' themes.googleusercontent.com *.gstatic.com https://fonts.gstatic.com storage.googleapis.com fonts.googleapis.com *.cdn.ampproject.org; style-src 'self' 'unsafe-inline' fonts.googleapis.com *.gstatic.com storage.googleapis.com *.google.com cdn.ampproject.org; object-src 'none'; media-src 'self' data: *.gstatic.com storage.googleapis.com *.googlevideo.com; base-uri 'none'; script-src 'self' 'strict-dynamic' 'unsafe-inline' *.googleanalytics.com *.google-analytics.com *.youtube.com youtube.com optimize.google.com https://s.ytimg.com *.googletagmanager.com storage.googleapis.com *.googleapis.com *.google.com cdn.ampproject.org *.gstatic.com gstatic.com googleadservices.com *.googleadservices.com 'sha256-hdPneczWRi+c9LQVo+PzNzlNr9TacChC0CW0fiDBHkI=' 'sha256-DE/j4w1a1HDIXysWgFTrJCJK6JWEcHqScfyMr9zq9R4=' 'sha256-Ehy9lGqrTi8OqqWxX1HN6hKJT7iwwYMFJ+HLjpEobO0=' 'sha256-s/yvuH0ZHyO+7N8dM5CshPem4K1PknDExYN18xHq0LI=' 'sha256-MWQdkIAX5J//suH1t5P3PFFwFUiphY0PxD6VVzbBehQ=' 'sha256-587vJAV9t9k86IMQixmyKa7lbPaDhkGzrJsdngtoiAA=' 'sha256-nlbIOie3vmdUUZjQFDMa7iipxS6Qst8pPhTLjibMsRk=' 'sha256-+LJ+tgqOXIri3+D/uJC785tov3eXewv8x+Pkenx+3Z8=' 'sha256-PnD9J8UK8zpwVizQXkEtbZOvTiv9C/05Nn81NEwPBoQ=' 'sha256-LH1mE8uiAlSGs6/ejmL47sTk8G+/Hh6T1ydVxa0idaM=' 'sha256-GuPeLJgWIkkS7hCKcSc+mQs6jTN0D8QzfW624B4OMME=' 'sha256-CDqe41szG4ZmAxS54wSNKisRTrwu1wxcuRQv09PB3Nk=' 'sha256-Xyk5Ei/Yh7DuZgaxNfbPswkpmMKHk5Jy18vkxjfPMj0=' 'sha256-Q+8W9SyZ6wnayM05rLv0YuHooUH/nnzpE2XQZJ/ekjY=' 'sha256-1lOrojGb+aoV56bZpsODLpb+j+HHbONNEpX/YqVtiUU=' 'sha256-sAsQphoZozaLVFpcda3bvT5euqcGL4MqVnizAR+Xla4=' 'sha256-ZlqdbaXB1F4Evuv/nmY3QGBLFBbrfiNndyYxbgdQn7g=' 'sha256-OEwIbDcQTxJYhU2ONmKA0LutIDdkmge2c+9IPFv5vFE=' 'sha256-Iz9ZZz/rHQFiJs2bKOHSC82gR0WdD/37qrPCB65PCFg='; frame-src 'self' www.google.com *.youtube.com youtube.com accounts.google.com *.doubleclick.net apis.google.com optimize.google.com *.google.com *.cdn.ampproject.org https://www.gstatic.com/ https://www.youtube-nocookie.com/; default-src 'self' *.gstatic.com storage.googleapis.com",
        "content-language": "en-us",
        "access-control-allow-origin": "*",
        "content-encoding": "gzip",
        "x-cloud-trace-context": "3578b5662a689995c0760c7d9e7f155c",
        "date": "Fri, 19 Dec 2025 22:37:38 GMT",
        "server": "Google Frontend",
        "content-length": "63300"
    },
    "risk_score": {
        "result": 0
    },
    "security_checks": {
        "is_host_an_ipv4": false,
        "is_uncommon_host_length": false,
        "is_uncommon_dash_char_count": false,
        "is_uncommon_dot_char_count": false,
        "is_suspicious_url_pattern": false,
        "is_suspicious_file_extension": false,
        "is_robots_noindex": false,
        "is_suspended_page": false,
        "is_most_abused_tld": false,
        "is_uncommon_clickable_url": false,
        "is_phishing_heuristic": false,
        "is_possible_emotet": false,
        "is_redirect_to_search_engine": false,
        "is_redirect_to_wikipedia": false,
        "http_status_code": 200,
        "is_http_status_error": false,
        "is_http_server_error": false,
        "is_http_client_error": false,
        "is_suspicious_content": false,
        "is_url_accessible": true,
        "is_empty_page_title": false,
        "is_empty_page_content": false,
        "is_domain_ipv4_assigned": true,
        "is_domain_ipv4_private": false,
        "is_domain_ipv4_loopback": false,
        "is_domain_ipv4_reserved": false,
        "is_domain_ipv4_valid": true,
        "is_domain_blacklisted": false,
        "is_suspicious_domain": false,
        "is_sinkholed_domain": false,
        "is_defaced_heuristic": false,
        "is_masked_file": false,
        "is_risky_geo_location": false,
        "is_china_country": false,
        "is_nigeria_country": false,
        "is_non_standard_port": false,
        "is_email_address_on_url_query": false,
        "is_directory_listing": false,
        "is_exe_on_directory_listing": false,
        "is_zip_on_directory_listing": false,
        "is_php_on_directory_listing": false,
        "is_doc_on_directory_listing": false,
        "is_pdf_on_directory_listing": false,
        "is_apk_on_directory_listing": false,
        "is_linux_elf_file": false,
        "is_linux_elf_file_on_free_dynamic_dns": false,
        "is_linux_elf_file_on_free_hosting": false,
        "is_linux_elf_file_on_ipv4": false,
        "is_masked_linux_elf_file": false,
        "is_masked_windows_exe_file": false,
        "is_ms_office_file": false,
        "is_windows_exe_file_on_free_dynamic_dns": false,
        "is_windows_exe_file_on_free_hosting": false,
        "is_windows_exe_file_on_ipv4": false,
        "is_windows_exe_file": false,
        "is_android_apk_file_on_free_dynamic_dns": false,
        "is_android_apk_file_on_free_hosting": false,
        "is_android_apk_file_on_ipv4": false,
        "is_android_apk_file": false,
        "is_external_redirect": false,
        "is_risky_category": false,
        "is_domain_recent": "no",
        "is_domain_very_recent": "no",
        "domain_creation_date": "2016-08-12",
        "domain_age_in_days": 3416,
        "domain_age_in_months": 110,
        "domain_age_in_years": 9,
        "is_credit_card_field": false,
        "is_email_field": false,
        "is_password_field": false,
        "is_valid_https": true,
        "is_ssl_blacklisted": false
    },
    "server_details": {
        "ip": "216.239.34.21",
        "hostname": "any-in-2215.1e100.net",
        "continent_code": "NA",
        "continent_name": "North America",
        "country_code": "US",
        "country_name": "United States of America",
        "region_name": "California",
        "city_name": "Mountain View",
        "latitude": 37.38605,
        "longitude": -122.08385,
        "isp": "Google LLC",
        "asn": "AS15169"
    },
    "site_category": {
        "is_free_hosting": false,
        "is_anonymizer": false,
        "is_url_shortener": false,
        "is_free_dynamic_dns": false,
        "is_code_sandbox": false,
        "is_form_builder": false,
        "is_free_file_sharing": false,
        "is_pastebin": false
    },
    "url_parts": {
        "scheme": "https",
        "host": "blog.google",
        "host_nowww": "blog.google",
        "port": 443,
        "path": "/products/android/",
        "query": ""
    },
    "elapsed_ms": 1385
}

Response fields

The fields returned in the JSON response:

urlstring

URL submitted for the reputation analysis.

dns_records → nsarray

NS records of the domain; each item has target, ip, country_code, country_name and isp.

dns_records → ns[n] → targetstring

Name server hostname.

dns_records → ns[n] → ipstring

IPv4 address of the name server.

dns_records → ns[n] → country_codestring

Country code (e.g. US) of the name server IP address.

dns_records → ns[n] → country_namestring

Country name of the name server IP address.

dns_records → ns[n] → ispstring

Internet Service Provider (ISP) of the name server IP address.

dns_records → mxarray

MX records of the domain; each item has target, ip, country_code, country_name and isp.

dns_records → mx[n] → targetstring

Mail server hostname.

dns_records → mx[n] → ipstring

IPv4 address of the mail server.

dns_records → mx[n] → country_codestring

Country code (e.g. US) of the mail server IP address.

dns_records → mx[n] → country_namestring

Country name of the mail server IP address.

dns_records → mx[n] → ispstring

Internet Service Provider (ISP) of the mail server IP address.

dns_records → cnamestring

CNAME target of the host. Empty string if none.

domain_blacklist → enginesobject

List of scanning engines; each item has name, detected, reference, confidence and elapsed_ms.

domain_blacklist → engines → [index] → namestring

Name of the scanning engine.

domain_blacklist → engines → [index] → detectedboolean

Returns true if this engine flagged the submitted domain.

domain_blacklist → engines → [index] → referencestring

Link to the engine's website or listing details.

domain_blacklist → engines → [index] → confidencestring

Confidence of this engine detection, e.g. high.

domain_blacklist → engines → [index] → elapsed_msinteger

Time taken by this engine to complete its check, in milliseconds.

domain_blacklist → detectionsinteger

Number of scanning engines that detected the domain.

domain_blacklist → engines_countinteger

Number of scanning engines used to scan the domain.

domain_blacklist → detection_ratestring

Percentage of engines that detected the domain, e.g. 5%.

domain_blacklist → scan_time_msinteger

Time taken to scan the domain across all engines, in milliseconds.

domain_parts → root_domainstring

Registered root domain (e.g. example.com), excluding subdomains.

domain_parts → subdomainstring

Subdomain portion of the host (e.g. www). Empty string if none.

domain_parts → tldstring

Top-level domain (e.g. com, org, co.uk).

file_type → signaturestring

Returns file type by analyzing file content.

file_type → extensionstring

Returns file type by analyzing file extension.

file_type → headersstring

Returns file type by analyzing HTTP response headers.

geo_location → countriesarray

List of potential countries of origin.

html_info → titlestring

Title of the page.

html_info → descriptionstring

Meta description of the page.

html_info → keywordsstring

Contents of the meta keywords tag.

html_info → robotsstring

Robots meta tag of the page.

html_info → canonicalstring

Canonical URL of the page.

html_info → og_imagestring

Open Graph image URL of the page.

html_info → article_publisherstring

Contents of the article:publisher Open Graph tag. Empty string if none.

html_info → og_site_namestring

Open Graph site name of the page.

html_info → twitter_sitestring

Twitter site handle of the page.

html_info → generatorstring

CMS or framework from meta generator tag (e.g. WordPress).

html_info → ld_organizationstring

Organization name found in JSON-LD structured data.

html_info → langstring

Language declared by the page, e.g. en-US.

redirection → foundboolean

Returns true if the URL redirects to another URL.

redirection → externalboolean

Returns true if the redirect points to an external host.

redirection → urlstring

Destination URL of the redirect. Empty string if none.

redirection → redirectsarray

List of redirect URLs followed. Empty array if none.

response_headersobject

HTTP response headers returned by the server, keyed by lowercase header name.

risk_score → resultinteger

Returns risk score, a number between 0 (safe) and 100 (dangerous).

security_checks → is_host_an_ipv4boolean

Returns true if the URL host is an IPv4 address instead of a domain.

security_checks → is_uncommon_host_lengthboolean

Returns true if the host length is uncommon (such as, a very long domain).

security_checks → is_uncommon_dash_char_countboolean

Returns true if the host contains too many dash "-" characters.

security_checks → is_uncommon_dot_char_countboolean

Returns true if the host contains too many dot "." characters.

security_checks → is_suspicious_url_patternboolean

Returns true if URL pattern is suspicious.

security_checks → is_suspicious_file_extensionboolean

Returns true if URL file extension is suspicious.

security_checks → is_robots_noindexboolean

Returns true if URL "doesn't want" to be indexed on Google.

security_checks → is_suspended_pageboolean

Returns true if the web page has been suspended by the hosting provider.

security_checks → is_most_abused_tldboolean

Returns true if the domain TLD is risky, e.g. .top or .tk.

security_checks → is_uncommon_clickable_urlboolean

Returns true if the URL is not a commonly clickable URL.

security_checks → is_phishing_heuristicboolean

Returns true if URL content matches our phishing rules.

security_checks → is_possible_emotetboolean

Returns true if URL is potentially related to Emotet.

security_checks → is_redirect_to_search_engineboolean

Returns true if URL redirects to search engines, like google.com.

security_checks → is_redirect_to_wikipediaboolean

Returns true if the URL redirects to Wikipedia.

security_checks → http_status_codeinteger

HTTP status code returned by the website, e.g. 200.

security_checks → is_http_status_errorboolean

Returns true if the HTTP status code is an error (4xx or 5xx).

security_checks → is_http_server_errorboolean

Returns true if the HTTP status code is a server error (5xx).

security_checks → is_http_client_errorboolean

Returns true if the HTTP status code is a client error (4xx).

security_checks → is_suspicious_contentboolean

Returns true if URL content matches our suspicious content rules.

security_checks → is_url_accessibleboolean

Returns true if URL is accessible by our servers (status code is 2xx or 3xx).

security_checks → is_empty_page_titleboolean

Returns true if URL page title is empty.

security_checks → is_empty_page_contentboolean

Returns true if URL page content is empty.

security_checks → is_domain_ipv4_assignedboolean

Returns true if the domain resolves to an assigned IPv4 address.

security_checks → is_domain_ipv4_privateboolean

Returns true if the domain resolves to a private IPv4 address.

security_checks → is_domain_ipv4_loopbackboolean

Returns true if the domain resolves to a loopback (e.g. 127.0.0.1) IPv4 address.

security_checks → is_domain_ipv4_reservedboolean

Returns true if the domain resolves to a reserved IPv4 address.

security_checks → is_domain_ipv4_validboolean

Returns true if the domain resolves to a valid public IPv4 address.

security_checks → is_domain_blacklistedboolean

Returns true if domain is blacklisted by trusted sources.

security_checks → is_suspicious_domainboolean

Returns true if domain matches our suspicious domain rules.

security_checks → is_sinkholed_domainboolean

Returns true if domain is sinkholed (malicious).

security_checks → is_defaced_heuristicboolean

Returns true if URL page has been defaced (we use our own rules).

security_checks → is_masked_fileboolean

Returns true if remote file content does not match its extension.

security_checks → is_risky_geo_locationboolean

Returns true if website location is considered risky.

security_checks → is_china_countryboolean

Returns true if website is potentially located in China.

security_checks → is_nigeria_countryboolean

Returns true if website is potentially located in Nigeria.

security_checks → is_non_standard_portboolean

Returns true if remote port is a non-standard port.

security_checks → is_email_address_on_url_queryboolean

Returns true if an email address is found in the URL query string.

security_checks → is_directory_listingboolean

Returns true if URL page is a directory listing.

security_checks → is_exe_on_directory_listingboolean

Returns true if an EXE file is found in the directory listing.

security_checks → is_zip_on_directory_listingboolean

Returns true if a .zip file is found on an open directory listing.

security_checks → is_php_on_directory_listingboolean

Returns true if a .php file is found on an open directory listing.

security_checks → is_doc_on_directory_listingboolean

Returns true if a .doc file is found on an open directory listing.

security_checks → is_pdf_on_directory_listingboolean

Returns true if a .pdf file is found on an open directory listing.

security_checks → is_apk_on_directory_listingboolean

Returns true if a .apk file is found on an open directory listing.

security_checks → is_linux_elf_fileboolean

Returns true if remote file is an ELF (executable) linux file.

security_checks → is_linux_elf_file_on_free_dynamic_dnsboolean

Returns true if the URL serves a Linux ELF file hosted on a free dynamic DNS domain.

security_checks → is_linux_elf_file_on_free_hostingboolean

Returns true if the URL serves a Linux ELF file hosted on a free hosting service.

security_checks → is_linux_elf_file_on_ipv4boolean

Returns true if remote URL is an ELF file on an IPv4 host.

security_checks → is_masked_linux_elf_fileboolean

Returns true if the URL serves a Linux ELF file masked with a different file extension.

security_checks → is_masked_windows_exe_fileboolean

Returns true if remote EXE file is masked with wrong file extension.

security_checks → is_ms_office_fileboolean

Returns true if the URL serves a Microsoft Office file.

security_checks → is_windows_exe_file_on_free_dynamic_dnsboolean

Returns true if the URL serves a Windows executable hosted on a free dynamic DNS domain.

security_checks → is_windows_exe_file_on_free_hostingboolean

Returns true if the URL serves a Windows executable hosted on a free hosting service.

security_checks → is_windows_exe_file_on_ipv4boolean

Returns true if the URL serves a Windows executable hosted on a bare IPv4 address.

security_checks → is_windows_exe_fileboolean

Returns true if remote file is an EXE (executable) Windows file.

security_checks → is_android_apk_file_on_free_dynamic_dnsboolean

Returns true if the URL serves an Android APK file hosted on a free dynamic DNS domain.

security_checks → is_android_apk_file_on_free_hostingboolean

Returns true if the URL serves an Android APK file hosted on a free hosting service.

security_checks → is_android_apk_file_on_ipv4boolean

Returns true if the URL serves an Android APK file hosted on a bare IPv4 address.

security_checks → is_android_apk_fileboolean

Returns true if the URL serves an Android APK file.

security_checks → is_external_redirectboolean

Returns true if the URL redirects to an external website.

security_checks → is_risky_categoryboolean

Returns true if domain is a free DNS provider, free hosting provider or URL shortener.

security_checks → is_domain_recentstring

Returns "yes" if domain was created less than 6 months ago, can be yes/no/unknown.

security_checks → is_domain_very_recentstring

Returns "yes" if domain was created less than 30 days ago, can be yes/no/unknown.

security_checks → domain_creation_datestring

Domain registration date, format is Y-m-d (empty if unknown).

security_checks → domain_age_in_daysinteger

Age of the domain in days (0 if unknown).

security_checks → domain_age_in_monthsinteger

Age of the domain in months (0 if unknown).

security_checks → domain_age_in_yearsinteger

Age of the domain in years (0 if unknown).

security_checks → is_credit_card_fieldboolean

Returns true if the web page contains credit card input fields.

security_checks → is_email_fieldboolean

Returns true if the web page contains an email input field.

security_checks → is_password_fieldboolean

Returns true if the web page contains password input fields.

security_checks → is_valid_httpsboolean

Returns true if the URL HTTPS (SSL) is valid.

security_checks → is_ssl_blacklistedboolean

Returns true if the SSL certificate is blacklisted by trusted sources.

server_details → ipstring

IP address of the submitted host.

server_details → hostnamestring

Reverse DNS hostname (PTR record) of the host's IP address. Empty string if none.

server_details → continent_codestring

Continent code (e.g. NA) of where the host's IP address is located.

server_details → continent_namestring

Continent name (e.g. North America) of where the host's IP address is located.

server_details → country_codestring

Country code (e.g. CN) of where the host's IP address is located.

server_details → country_namestring

Country name of where the host's IP address is located.

server_details → region_namestring

Region or state name of where the host's IP address is located.

server_details → city_namestring

City name of where the host's IP address is located.

server_details → latitudefloat

Approximate latitude of the host's IP address.

server_details → longitudefloat

Approximate longitude of the host's IP address.

server_details → ispstring

Internet Service Provider (ISP) of host's IP address.

server_details → asnstring

IP Autonomous System Number (ASN), such as AS16509.

site_category → is_free_hostingboolean

Returns true if the site is a known free hosting service.

site_category → is_anonymizerboolean

Returns true if the site is a known anonymizer service.

site_category → is_url_shortenerboolean

Returns true if the site is a known URL shortener.

site_category → is_free_dynamic_dnsboolean

Returns true if the site is a known free dynamic DNS service.

site_category → is_code_sandboxboolean

Returns true if the site is a known code sandbox service.

site_category → is_form_builderboolean

Returns true if the site is a known online form builder.

site_category → is_free_file_sharingboolean

Returns true if the site is a known free file sharing service.

site_category → is_pastebinboolean

Returns true if the site is a known pastebin service.

url_parts → schemestring

URL scheme: http or https.

url_parts → hoststring

Full hostname including subdomain (e.g. www.example.com).

url_parts → host_nowwwstring

Hostname with the www. prefix stripped.

url_parts → portinteger

Port number. Typically 80 for HTTP, 443 for HTTPS, or 0 if unspecified.

url_parts → pathstring

URL path component (e.g. /contact-us/).

url_parts → querystring

URL query string. Empty string if none.

elapsed_msinteger

Time taken to process the request, in milliseconds.